<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Создать список дел, в который можно:
        - Добавить новый элемент
        - Удалить элемент
        - Задать что пункт выполнен

      Шаблон элемента:
        <li class="listItem">
            <input type="checkbox" class="DoneCheckbox" />
            <span class="TodoText">{add text}</span>
            <button>Remove</button>
        </li>

    */
    window.addEventListener("load", function () {
      const newToDo = document.getElementById('newToDo');
      const addToDo = document.getElementById('AddToDo');
      const toDoList = document.getElementById('toDoList');
        
      addToDo.addEventListener('click', function() {
        toDoList.insertAdjacentHTML('beforeend', template(newToDo.value));
        newToDo.value = '';
      });
  
      function template(data){
        return `<li class="listItem">
              <input type="checkbox" class="DoneCheckbox" />
              <span class="TodoText">${data}</span>
              <button>Remove</button>
          </li>`;
      }
  
      toDoList.addEventListener('click', function(ev) {
        if (ev.target.tagName === 'INPUT') {
          ev.target.parentElement.classList.toggle('done');
        }
        if (ev.target.tagName === 'BUTTON') {
          ev.target.parentElement.remove();
        }
      }, false);
    });
  </script>
</head>
<body>
    <header>
      <input id="newToDo" class="textInput"/>
      <input id="AddToDo" class="addButton" type="button" value="Add"/>
    </header>
    <ul id="toDoList"></ul>

  <style>
    .done{
      text-decoration: line-through;
    }
    .textInput{
      box-sizing: border-box;
      padding: 10px 20px;
    }
    .addButton{
      box-sizing: border-box;
      padding: 10px 20px;
      background: #ffcc00;
    }

    .DoneCheckbox,
    .TodoText{
      margin-right: 5px;
    }

    button{
      background: red;
      color: #fff;
      padding: 5px 10px;
    }
  </style>
</body>
</html>
